| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::RenderablePass Struct Reference
Core » RenderSystem

Struct associating a single Pass with a single Renderable. More...

`#include <OgreRenderQueueSortingGrouping.h>`

## Public Member Functions
| RenderablePass (Renderable *rend, Pass *p)

## Public Attributes
Pass * | pass
| Pointer to the Pass. More...
Renderable * | renderable
| Pointer to the Renderable details. More...

## Detailed Description

Struct associating a single Pass with a single Renderable.

This is used to for objects sorted by depth and thus not grouped by pass.

## Constructor & Destructor Documentation

## ◆ RenderablePass()

Ogre::RenderablePass::RenderablePass | ( | Renderable * | rend,
|  | Pass * | p
| ) |  |
| inline

## Member Data Documentation

## ◆ renderable

Renderable* Ogre::RenderablePass::renderable

Pointer to the Renderable details.

## ◆ pass

Pass* Ogre::RenderablePass::pass

Pointer to the Pass.

The documentation for this struct was generated from the following file:

- OgreRenderQueueSortingGrouping.h